org.apache.ignite.internal.pagemem.wal.record

## Class DataRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord
    - - org.apache.ignite.internal.pagemem.wal.record.DataRecord

Direct Known Subclasses:
  MvccDataRecord

    public class DataRecord
    extends TimeStampRecord

Logical data record with cache operation description. This record contains information about operation we want to do. Contains operation type (put, remove) and (Key, Value, Version) for each `DataEntry`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp`

### Constructor Summary

Constructors
Constructor and Description
`DataRecord(DataEntry writeEntry)`
`DataRecord(DataEntry writeEntry, long timestamp)`
`DataRecord(List<DataEntry> writeEntries)`
`DataRecord(List<DataEntry> writeEntries, long timestamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataRecord` `setWriteEntries(List<DataEntry> writeEntries)`
`String` `toString()`
`WALRecord.RecordType` `type()`
`List<DataEntry>` `writeEntries()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp, timestamp`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataRecord

    public DataRecord(DataEntry writeEntry)

Parameters:
  `writeEntry` - Write entry.

#### DataRecord

    public DataRecord(List<DataEntry> writeEntries)

Parameters:
  `writeEntries` - Write entries.

#### DataRecord

    public DataRecord(DataEntry writeEntry,
                      long timestamp)

Parameters:
  `writeEntry` - Write entry.

#### DataRecord

    public DataRecord(List<DataEntry> writeEntries,
                      long timestamp)

Parameters:
  `writeEntries` - Write entries.
  `timestamp` - TimeStamp.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### setWriteEntries

    public DataRecord setWriteEntries(List<DataEntry> writeEntries)

Parameters:
  `writeEntries` - Write entries.
Returns:
  `this` for chaining.

#### writeEntries

    public List<DataEntry> writeEntries()

Returns:
  Collection of write entries.

#### toString

    public String toString()

Overrides:
  `toString` in class `TimeStampRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021